## NMSettingWifiP2P NMSettingWifiP2P |

## Functions

NMSetting * | nm_setting_wifi_p2p_new ()
const char * | nm_setting_wifi_p2p_get_peer ()
NMSettingWirelessSecurityWpsMethod | nm_setting_wifi_p2p_get_wps_method ()
GBytes * | nm_setting_wifi_p2p_get_wfd_ies ()

## Types and Values

#define | NM_SETTING_WIFI_P2P_SETTING_NAME
#define | NM_SETTING_WIFI_P2P_PEER
#define | NM_SETTING_WIFI_P2P_WPS_METHOD
#define | NM_SETTING_WIFI_P2P_WFD_IES

## Description

## Functions

### nm_setting_wifi_p2p_new ()

    NMSetting *
    nm_setting_wifi_p2p_new (void);

### nm_setting_wifi_p2p_get_peer ()

    const char *
    nm_setting_wifi_p2p_get_peer (NMSettingWifiP2P *setting);

### nm_setting_wifi_p2p_get_wps_method ()

    NMSettingWirelessSecurityWpsMethod
    nm_setting_wifi_p2p_get_wps_method (NMSettingWifiP2P *setting);

### nm_setting_wifi_p2p_get_wfd_ies ()

    GBytes *
    nm_setting_wifi_p2p_get_wfd_ies (NMSettingWifiP2P *setting);

## Types and Values

### NM_SETTING_WIFI_P2P_SETTING_NAME

    #define NM_SETTING_WIFI_P2P_SETTING_NAME "wifi-p2p"

### NM_SETTING_WIFI_P2P_PEER

    #define NM_SETTING_WIFI_P2P_PEER       "peer"

The mac address of the peer to connect to.

### NM_SETTING_WIFI_P2P_WPS_METHOD

    #define NM_SETTING_WIFI_P2P_WPS_METHOD "wps-method"

### NM_SETTING_WIFI_P2P_WFD_IES

    #define NM_SETTING_WIFI_P2P_WFD_IES    "wfd-ies"